Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.makeithappen.model.task.impl
Class UserImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecp.makeithappen.model.task.impl.UserImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, User

    public class UserImpl

extends org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
implements User

An implementation of the model object 'User'.

The following features are implemented:

- `First Name`
- `Last Name`
- `Gender`
- `Active`
- `Time Of Registration`
- `Weight`
- `Heigth`
- `Nationality`
- `Date Of Birth`
- `Email`
- `Tasks`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, Object newValue)`
`void` | `eUnset(int featureID)`
`XMLGregorianCalendar` | `getDateOfBirth()`
`String` | `getEmail()`
`String` | `getFirstName()`
`Gender` | `getGender()`
`int` | `getHeigth()`
`String` | `getLastName()`
`Nationality` | `getNationality()`
`org.eclipse.emf.common.util.EList<Task>` | `getTasks()`
`Date` | `getTimeOfRegistration()`
`double` | `getWeight()`
`boolean` | `isActive()`
`void` | `setActive(boolean newActive)`
`void` | `setDateOfBirth(XMLGregorianCalendar newDateOfBirth)`
`void` | `setEmail(String newEmail)`
`void` | `setFirstName(String newFirstName)`
`void` | `setGender(Gender newGender)`
`void` | `setHeigth(int newHeigth)`
`void` | `setLastName(String newLastName)`
`void` | `setNationality(Nationality newNationality)`
`void` | `setTimeOfRegistration(Date newTimeOfRegistration)`
`void` | `setWeight(double newWeight)`
`String` | `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getFirstName

    public String getFirstName()

  Specified by:
    `getFirstName` in interface `User`
  Returns:
    the value of the 'First Name' attribute.
  See Also:
    `User.setFirstName(String)`, `TaskPackage.getUser_FirstName()`

### setFirstName

    public void setFirstName(String newFirstName)

  Specified by:
    `setFirstName` in interface `User`
  Parameters:
    `newFirstName` - the new value of the 'First Name' attribute.
  See Also:
    `User.getFirstName()`

### getLastName

    public String getLastName()

  Specified by:
    `getLastName` in interface `User`
  Returns:
    the value of the 'Last Name' attribute.
  See Also:
    `User.setLastName(String)`, `TaskPackage.getUser_LastName()`

### setLastName

    public void setLastName(String newLastName)

  Specified by:
    `setLastName` in interface `User`
  Parameters:
    `newLastName` - the new value of the 'Last Name' attribute.
  See Also:
    `User.getLastName()`

### getGender

    public Gender getGender()

  Specified by:
    `getGender` in interface `User`
  Returns:
    the value of the 'Gender' attribute.
  See Also:
    `Gender`, `User.setGender(Gender)`, `TaskPackage.getUser_Gender()`

### setGender

    public void setGender(Gender newGender)

  Specified by:
    `setGender` in interface `User`
  Parameters:
    `newGender` - the new value of the 'Gender' attribute.
  See Also:
    `Gender`, `User.getGender()`

### isActive

    public boolean isActive()

  Specified by:
    `isActive` in interface `User`
  Returns:
    the value of the 'Active' attribute.
  See Also:
    `User.setActive(boolean)`, `TaskPackage.getUser_Active()`

### setActive

    public void setActive(boolean newActive)

  Specified by:
    `setActive` in interface `User`
  Parameters:
    `newActive` - the new value of the 'Active' attribute.
  See Also:
    `User.isActive()`

### getTimeOfRegistration

    public Date getTimeOfRegistration()

  Specified by:
    `getTimeOfRegistration` in interface `User`
  Returns:
    the value of the 'Time Of Registration' attribute.
  See Also:
    `User.setTimeOfRegistration(Date)`, `TaskPackage.getUser_TimeOfRegistration()`

### setTimeOfRegistration

    public void setTimeOfRegistration(Date newTimeOfRegistration)

  Specified by:
    `setTimeOfRegistration` in interface `User`
  Parameters:
    `newTimeOfRegistration` - the new value of the 'Time Of Registration' attribute.
  See Also:
    `User.getTimeOfRegistration()`

### getWeight

    public double getWeight()

  Specified by:
    `getWeight` in interface `User`
  Returns:
    the value of the 'Weight' attribute.
  See Also:
    `User.setWeight(double)`, `TaskPackage.getUser_Weight()`

### setWeight

    public void setWeight(double newWeight)

  Specified by:
    `setWeight` in interface `User`
  Parameters:
    `newWeight` - the new value of the 'Weight' attribute.
  See Also:
    `User.getWeight()`

### getHeigth

    public int getHeigth()

  Specified by:
    `getHeigth` in interface `User`
  Returns:
    the value of the 'Heigth' attribute.
  See Also:
    `User.setHeigth(int)`, `TaskPackage.getUser_Heigth()`

### setHeigth

    public void setHeigth(int newHeigth)

  Specified by:
    `setHeigth` in interface `User`
  Parameters:
    `newHeigth` - the new value of the 'Heigth' attribute.
  See Also:
    `User.getHeigth()`

### getNationality

    public Nationality getNationality()

  Specified by:
    `getNationality` in interface `User`
  Returns:
    the value of the 'Nationality' attribute.
  See Also:
    `Nationality`, `User.setNationality(Nationality)`, `TaskPackage.getUser_Nationality()`

### setNationality

    public void setNationality(Nationality newNationality)

  Specified by:
    `setNationality` in interface `User`
  Parameters:
    `newNationality` - the new value of the 'Nationality' attribute.
  See Also:
    `Nationality`, `User.getNationality()`

### getDateOfBirth

    public XMLGregorianCalendar getDateOfBirth()

  Specified by:
    `getDateOfBirth` in interface `User`
  Returns:
    the value of the 'Date Of Birth' attribute.
  See Also:
    `User.setDateOfBirth(XMLGregorianCalendar)`, `TaskPackage.getUser_DateOfBirth()`

### setDateOfBirth

    public void setDateOfBirth(XMLGregorianCalendar newDateOfBirth)

  Specified by:
    `setDateOfBirth` in interface `User`
  Parameters:
    `newDateOfBirth` - the new value of the 'Date Of Birth' attribute.
  See Also:
    `User.getDateOfBirth()`

### getEmail

    public String getEmail()

  Specified by:
    `getEmail` in interface `User`
  Returns:
    the value of the 'Email' attribute.
  See Also:
    `User.setEmail(String)`, `TaskPackage.getUser_Email()`

### setEmail

    public void setEmail(String newEmail)

  Specified by:
    `setEmail` in interface `User`
  Parameters:
    `newEmail` - the new value of the 'Email' attribute.
  See Also:
    `User.getEmail()`

### getTasks

    public org.eclipse.emf.common.util.EList<Task> getTasks()

  Specified by:
    `getTasks` in interface `User`
  Returns:
    the value of the 'Tasks' reference list.
  See Also:
    `TaskPackage.getUser_Tasks()`, `Task.getAssignee()`

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.